--- old/usr/src/uts/common/sys/ddi_timer.h	Sat Jul 20 00:48:14 2013
+++ /dev/null	Sat Jul 20 00:48:14 2013
@@ -1,87 +0,0 @@
-/*
- * CDDL HEADER START
- *
- * The contents of this file are subject to the terms of the
- * Common Development and Distribution License (the "License").
- * You may not use this file except in compliance with the License.
- *
- * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
- * or http://www.opensolaris.org/os/licensing.
- * See the License for the specific language governing permissions
- * and limitations under the License.
- *
- * When distributing Covered Code, include this CDDL HEADER in each
- * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
- * If applicable, add the following below this CDDL HEADER, with the
- * fields enclosed by brackets "[]" replaced with your own identifying
- * information: Portions Copyright [yyyy] [name of copyright owner]
- *
- * CDDL HEADER END
- */
-
-/*
- * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
- * Use is subject to license terms.
- */
-/*
- * Copyright (c) 2013, Joyent, Inc.  All rights reserved.
- */
-
-#ifndef	_SYS_DDI_TIMER_H
-#define	_SYS_DDI_TIMER_H
-
-#include <sys/list.h>
-#include <sys/taskq_impl.h>
-#include <sys/cyclic.h>
-
-#ifdef	__cplusplus
-extern "C" {
-#endif
-
-#ifdef _KERNEL
-
-/*
- * Used by the new timeout functions
- */
-typedef struct __timeout *timeout_t;
-
-typedef enum ddi_periodic_flags {
-	DPF_DISPATCHED = 0x01,
-	DPF_EXECUTING = 0x02,
-	DPF_CANCELLED = 0x04
-} ddi_periodic_flags_t;
-
-typedef struct ddi_periodic_impl {
-	struct list_node dpr_link; /* protected by periodics_lock */
-	struct list_node dpr_softint_link; /* only used when DPF_DISPATCHED */
-	id_t dpr_id;
-	hrtime_t dpr_interval;
-
-	kmutex_t dpr_lock;
-	kcondvar_t dpr_cv;
-	ddi_periodic_flags_t dpr_flags;
-	uint_t dpr_level; /* 0 <= dpr_level <= 10 */
-	taskq_ent_t dpr_taskq_ent; /* only used for level of 0 */
-	uint64_t dpr_fire_count;
-
-	cyclic_id_t dpr_cyclic_id;
-
-	void (*dpr_handler)(void *);
-	void *dpr_arg;
-} ddi_periodic_impl_t;
-
-/*
- * Internal implementation functions for the DDI periodic interface.
- */
-void ddi_periodic_init(void);
-void ddi_periodic_softintr(int level);
-timeout_t i_timeout(void (*)(void *), void *, hrtime_t, int);
-void i_untimeout(timeout_t);
-
-#endif	/* _KERNEL */
-
-#ifdef	__cplusplus
-}
-#endif
-
-#endif	/* _SYS_DDI_TIMER_H */
